# Recipes

These example notebooks and tutorials answer “how-to” questions. They help solve specific tasks or adapt Evidently to your needs.

| Recipe                                                                                                                                                 | Guide                                                                      | Jupyter notebook                                                                                                                           | Colab notebook                                                                    | Data source                         |
| ------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------- | ----------------------------------- |
| How to customize drift dashboards? (set confidence level, number of bins in a histogram and statistical test)                                          | [docs](/v0.1.57/user-guide/customization/options-for-data-target-drift.md) | [link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/drift_dashboard_with_options_california_housing.ipynb) | [link](https://colab.research.google.com/drive/1roAyq4DdxBSGyzp0XmmH0zqOHso6Fd6y) | California housing sklearn.datasets |
| How to add your own widget or create your own report?                                                                                                  | [docs](/v0.1.57/user-guide/customization/add-a-custom-widget-or-tab.md)    | [link](https://github.com/evidentlyai/evidently/tree/main/examples/how_to_questions/custom_widget_and_tab_example)                         | [link](https://colab.research.google.com/drive/1ZYhokqQupQVX0n2boRjyr5cpg_WgFJoL) | California housing sklearn.datasets |
| How to change classification threshold? How to cut outliers from the histogram plot? How to define the width of confidence interval depicted on plots? |                                                                            | [link](https://github.com/evidentlyai/evidently/blob/main/docs/book/recipes/quality_metrics_options_wine.ipynb)                            | [link](https://colab.research.google.com/drive/1W7l3iAILkMti-3qcBLrU5JrW24lSOMR3) | Wine Quality openml                 |
| How to specify a color scheme for the Dashboard?                                                                                                       | [docs](/v0.1.57/user-guide/customization/options-for-color-schema.md)      | [link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/colour_options_data_drift_iris.ipynb)                  |                                                                                   | Iris plants sklearn.datasets        |
| How to create a text annotation in the Dashboard?                                                                                                      |                                                                            | [link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/text_widget_usage_iris.ipynb)                          |                                                                                   | Iris plants sklearn.datasets        |
| How to assign a particular statistical test from the evidently library for a feature or features?                                                      | [docs](/v0.1.57/user-guide/customization/options-for-statistical-tests.md) | [link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/stat_test_specification_for_data_drift_iris.ipynb)     |                                                                                   | Iris plants sklearn.datasets        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/v0.1.57/user-guide/recipes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
